GuidesAPI Reference
API Reference

Gets traces within a specified time range

Gets all traces of the device trackingId that were recorded within the specified time range. The range is defined with before and after parameters. The returned traces are sorted in descending order based on their timestamps.

The default value for before parameter is the current time, and for the after parameter it is one day in the past from the current time. The after parameter value is not allowed to be earlier than 18 days in the past from the before timestamp, otherwise an error is returned.

If the trackingId is substituted with a valid shipmentId, the response contains a composition of traces of each shipment segment. Traces are only fetched for those segments that are either in ongoing or completed state.

The outliers parameter can be used to select only traces that have been marked as outliers (if the parameter value is true), or only traces that have not been marked as outliers (if the parameter value is false). If the outliers parameter is not present, all the traces will be returned.

The count and pageToken parameters are used for pagination.

Path Params
string
required
length between 1 and 50

This is a unique ID associated with the device data in HERE Tracking. The trackingId gets assigned to a device when the device is claimed by a user. Alternatively, a valid shipmentId may be used.

Query Params
number
≥ 1

Milliseconds elapsed since 1 January 1970 00:00:00 UTC. The accepted range is from 1 to the current time.

number
≥ 0

Milliseconds elapsed since 1 January 1970 00:00:00 UTC. The accepted range is from 0 to the current time.

boolean

Flag specifying if only outliers (true) or only nonoutliers (false) are to be returned. If the parameter is not present both nonoutlier and outlier traces are returned.

string
enum

Tracker mode.

Allowed:
boolean

Flag telling if smoothed traces (true) or non-smoothed (false) traces should get returned. By default the traces are not smoothed.

The smoothing will have an effect on to the stationary trace points only.

string

A token from the previously returned response to retrieve the specified page.

integer
1 to 1000
Defaults to 1000

The number of records per page.

string
length ≥ 8

Application identifier. Used together with an external ID to identify a virtual device.

Headers
uuid

ID used for correlating requests within HERE Tracking. Used for logging and error reporting.

Must be a valid UUIDv4.

Responses

Language
Credentials
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json